Bug 244554 - x11/libwacom: building with synth fails
Summary: x11/libwacom: building with synth fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-02 12:17 UTC by Matthias Pfaller
Modified: 2020-03-18 23:16 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
synth buildlog (14.13 KB, text/plain)
2020-03-02 12:17 UTC, Matthias Pfaller
no flags Details
patch adding dependency to libxml2 (379 bytes, patch)
2020-03-02 12:26 UTC, Matthias Pfaller
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Pfaller 2020-03-02 12:17:03 UTC
Created attachment 212096 [details]
synth buildlog

Building x11/libwacom using synth fails for me. The logfile is attached.
Building without synth succeeds.

Matthias
Comment 1 Matthias Pfaller 2020-03-02 12:26:39 UTC
Created attachment 212097 [details]
patch adding dependency to libxml2
Comment 2 Matthias Pfaller 2020-03-02 12:27:45 UTC
The Makefile seems to be missing a dependency to libxml2. After adding the dependency x11/libwacom builds again.

Matthias
Comment 3 Jan Beich freebsd_committer 2020-03-02 18:29:14 UTC
Regressed by ports r527163 but only affects users who disabled MANPAGES option in devel/glib20.
Comment 4 John Hein 2020-03-02 20:45:02 UTC
(In reply to Matthias Pfaller from comment #2)
As a quick workaround, try 'make MESON_ARGS=-Dtests=false'.  libxml2 is declared as a dependency only if using the tests option.

One fix might be to set -Dtests=true based on a non-default-on TESTS option (-Dtests=false if TESTS=off - and TEST_DEPENDS pointing to libxml2).

It looks like the tests included with libwacom require more than just libxml2, however (e.g., bash & gnu coreutils' [g]ls -v) - or patching to avoid linuxisms (e.g., use sort -V).
Comment 5 Matthias Pfaller 2020-03-03 10:35:16 UTC
(In reply to John Hein from comment #4)
I remove the libxml2 dependency from the Makefile and added
MESON_ARGS=-Dtests=false
Now it builds with synth as well. Thank's
Comment 6 Jan Beich freebsd_committer 2020-03-03 21:37:03 UTC
See review D23930 for the proposed fix.
Comment 7 commit-hook freebsd_committer 2020-03-05 12:38:10 UTC
A commit references this bug:

Author: jbeich
Date: Thu Mar  5 12:37:18 UTC 2020
New revision: 527829
URL: https://svnweb.freebsd.org/changeset/ports/527829

Log:
  x11/libwacom: unbreak after r244554 when libxml2 isn't bootlegged

  PR:		244554
  Reported by:	Matthias Pfaller
  Approved by:	manu, imp, zeising (x11)
  Differential Revision:	https://reviews.freebsd.org/D23930

Changes:
  head/x11/libwacom/Makefile
  head/x11/libwacom/distinfo
Comment 8 Jan Beich freebsd_committer 2020-03-05 17:59:03 UTC
(In reply to John Hein from comment #4)
> It looks like the tests included with libwacom require more than just libxml2,
> however (e.g., bash & gnu coreutils' [g]ls -v) - or patching to avoid
> linuxisms (e.g., use sort -V).

Thanks for sort -V hint. I've submitted https://github.com/linuxwacom/libwacom/pull/221
Comment 9 Jan Beich freebsd_committer 2020-03-18 23:16:34 UTC
(In reply to John Hein from comment #4)
> It looks like the tests included with libwacom require more
> than just libxml2, however (e.g., bash & gnu coreutils' [g]ls -v)
> - or patching to avoid linuxisms (e.g., use sort -V).

See review D24001 for the fix.